Package rainbowPackage

# Class TransparencySlider

java.lang.Object
rainbowPackage.TransparencySlider

public class TransparencySlider extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double[]`
  `argb`
  `double`
  `colorBeingChecked`
  `javafx.scene.paint.Color`
  `fxColor`
  `double`
  `opacityBeingChecked`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransparencySlider()`
  `TransparencySlider(double[] ARGB)`
  `TransparencySlider(javafx.scene.paint.Color FXColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `ColorTooSimilarFunction(int Color1, int Color2)`
  `Boolean`
  `ColorTooSimilarFunction(int Color1, int Color2, double ColorDifference)`
  `Boolean`
  `ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2)`
  `Boolean`
  `ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2, double ColorDifference)`
  `Boolean`
  `ColorTooSimilarFunction(TransparencySlider Color1, TransparencySlider Color2)`
  `Boolean`
  `ColorTooSimilarFunction(TransparencySlider Color1, TransparencySlider Color2, double ColorDifference)`
  `double`
  `ColorValueFitter(double ColorToBeChecked)`
  `Object`
  `get()`
  `double`
  `OpacityValueFitter(double OpacityToBeChecked)`
  `void`
  `set(double[] ARGB)`
  `void`
  `set(javafx.scene.paint.Color FXColor)`
  `int`
  `ToARGBcolorNum()`
  `int`
  `ToARGBcolorNum(double[] ARGB)`
  `int`
  `ToARGBcolorNum(javafx.scene.paint.Color FXColor)`
  `javafx.scene.paint.Color`
  `ToFXColor()`
  `javafx.scene.paint.Color`
  `ToFXColor(double[] ARGB)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double Opacity)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double Opacity)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, double BrightnessMultiplyer, TransparencySlider ColorAfter)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, double BrightnessMultiplyer, TransparencySlider ColorAfter, double Opacity)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, double BrightnessMultiplyer, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, TransparencySlider ColorAfter)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double Opacity)`
  `Object`
  `TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### argb

    public double[] argb

  - ### fxColor

    public javafx.scene.paint.Color fxColor

  - ### colorBeingChecked

    public double colorBeingChecked

  - ### opacityBeingChecked

    public double opacityBeingChecked

- ## Constructor Details

  - ### TransparencySlider

    public TransparencySlider()

  - ### TransparencySlider

    public TransparencySlider(javafx.scene.paint.Color FXColor)

  - ### TransparencySlider

    public TransparencySlider(double[] ARGB)

- ## Method Details

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, TransparencySlider ColorAfter)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double Opacity)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, double BrightnessMultiplyer, TransparencySlider ColorAfter)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, double BrightnessMultiplyer, TransparencySlider ColorAfter, double Opacity)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, TransparencySlider ColorBefore, double BrightnessMultiplyer, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double Opacity)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double Opacity)

  - ### TransparencySliderFunction

    public Object TransparencySliderFunction(double ColorInterval, double Loc, double BrightnessMultiplyer, int Gradations, TransparencySlider ColorBefore, TransparencySlider ColorAfter, double OpacityBefore, double OpacityAfter)

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor()

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor(double[] ARGB)

  - ### ToARGBcolorNum

    public int ToARGBcolorNum()

  - ### ToARGBcolorNum

    public int ToARGBcolorNum(double[] ARGB)

  - ### ToARGBcolorNum

    public int ToARGBcolorNum(javafx.scene.paint.Color FXColor)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(int Color1, int Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(TransparencySlider Color1, TransparencySlider Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(int Color1, int Color2, double ColorDifference)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2, double ColorDifference)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(TransparencySlider Color1, TransparencySlider Color2, double ColorDifference)

  - ### ColorValueFitter

    public double ColorValueFitter(double ColorToBeChecked)

  - ### OpacityValueFitter

    public double OpacityValueFitter(double OpacityToBeChecked)

  - ### set

    public void set(double[] ARGB)

  - ### set

    public void set(javafx.scene.paint.Color FXColor)

  - ### get

    public Object get()